Bug 1574306 - Unable to upgrade Fedora 27 > 28 due to libchromaprint needed for gstreamer1-plugins-bad
Summary: Unable to upgrade Fedora 27 > 28 due to libchromaprint needed for gstreamer1-...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gstreamer1-plugins-bad-free
Version: 28
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 04:26 UTC by Erik Lentz
Modified: 2019-05-28 22:15 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 22:15:40 UTC
Type: Bug


Attachments (Terms of Use)

Description Erik Lentz 2018-05-03 04:26:05 UTC
Description of problem:
Fedora 27 x86_64 cannot be upgraded to Fedora 28 if using the Cinnamon Desktop. Removing gstreamer1-plugins-bad will remove the entire Cinnamon desktop as well as a number of other packages. 

Attempted workaround: dnf install gstreamer1-plugins-bad-free-1.12.4-2.fc28.x86_64 --releasever=28 did not work, package not found.

Version-Release number of selected component (if applicable):
gstreamer1-plugins-bad-free-1.12.4-2.fc28.x86_64


Steps to Reproduce:
1. Run Fedora 27 with Cinnamon desktop
2. Attempt upgrade to Fedora 28


Actual results:

 dnf system-upgrade download --releasever=28
Before you continue ensure that your system is fully upgraded by running "dnf --refresh upgrade". Do you want to continue [y/N]: y
Last metadata expiration check: 0:00:00 ago on Wed 02 May 2018 11:19:35 PM CDT.
Error: 
 Problem: package gstreamer1-plugins-bad-1:1.12.4-3.fc27.x86_64 requires libchromaprint.so.0()(64bit), but none of the providers can be installed
  - libchromaprint-1.2-8.fc27.x86_64 does not belong to a distupgrade repository
  - problem with installed package gstreamer1-plugins-bad-1:1.12.4-3.fc27.x86_64


Expected results:

Upgrade proceeds.

Comment 1 Erik Lentz 2018-05-04 01:49:31 UTC
My workaround was to update libchromaprint and gstreamer1-plugins-bad-free before the upgrade.

sudo dnf install libchromaprint-1.4.2-2.fc28.x86_64 gstreamer1-plugins-bad-free --releasever=28 --allowerasing

Then I was able to upgrade.

Comment 2 Ben Cotton 2019-05-02 21:01:13 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-05-28 22:15:40 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.